# BulkPublishResponseFailedEntry (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class BulkPublishResponseFailedEntry<T>

- java.lang.Object
- - io.dapr.client.domain.BulkPublishResponseFailedEntry<T>

    public final class BulkPublishResponseFailedEntry<T>
    extends Object

Class representing the entry that failed to be published using BulkPublishRequest.

### Constructor Summary

Constructors
`BulkPublishResponseFailedEntry​(BulkPublishEntry<T> entry, String errorMessage)` Constructor for BulkPublishResponseFailedEntry.

### Method Summary

All Methods Instance Methods Concrete Methods
`BulkPublishEntry<T>` `getEntry()`
`String` `getErrorMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkPublishResponseFailedEntry

    public BulkPublishResponseFailedEntry​(BulkPublishEntry<T> entry,
                                          String errorMessage)

Constructor for BulkPublishResponseFailedEntry.

Parameters:
  `entry` - The entry that has failed.
  `errorMessage` - The error message for why the entry failed.

### Method Detail

#### getEntry

    public BulkPublishEntry<T> getEntry()

#### getErrorMessage

    public String getErrorMessage()